### Function

# EvinceDocument Document factory_get_document_full

#### Declaration [src]

    EvDocument*
    ev_document_factory_get_document_full (
      const char* uri,
      EvDocumentLoadFlags flags,
      GError** error
    )

#### Description [src]

Creates a `EvDocument` for the document at `uri`; or, if no backend handling the document’s type is found, or an error occurred on opening the document, returns `NULL` and fills in `error`. If the document is encrypted, it is returned but also `error` is set to `EV_DOCUMENT_ERROR_ENCRYPTED`.

#### Parameters

`uri` | `const char*`
| An URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `EvDocumentLoadFlags`
| Flags from `EvDocumentLoadFlags`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `EvDocument`
| A new `EvDocument`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.